%define name	zonemanip
%define version	0.1.1
%define release	1mdk

Summary:	Command line tool for PowerDNS and its MySQL backend 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
URL:		http://soren.overgaard.org/?stuff
License:	GPL
Group:		System/Servers
Requires:	PowerDNS
Requires:	PowerDNS-backend-mysql
Requires:	libdbi-drivers-dbd-mysql
BuildRequires:	libdbi-devel
BuildRequires:	libshhopt-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
zonemanip is a command line tool for manipulating records in a
gmysql backend for PowerDNS. It supports delegating ownership of
specific zones to specific shell users by maintaining a minimal
amount of metadata. Currently, most record types except AAAA and
PTR records are supported. 

%prep

%setup -q -n %{name}

%build

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m0755 %{name} %{buildroot}%{_bindir}
install -m0644 %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL TODO db.sql
%attr(4755,root,root) %{_bindir}/%{name}
%attr(0644,root,root) %{_mandir}/man1/%{name}.1*

%changelog
* Mon Oct 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.1-1mdk
- initial cooker contrib
